Page MenuHomePhabricator

[Story] Add link to Schema page to check against list of entities
Closed, ResolvedPublic3 Story Points

Description

See T214383 and T217332 for what the link URL will look like.

The link could float in the top right of the schema text, together with the “edit” link.

Link text: "Check entities against this Schema"

target=_blank? to be decided
rel=noopener probably

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseSchema : masterAdd link to check entities against schema
mediawiki/extensions/WikibaseSchema : masterAdd separator between schema links
mediawiki/extensions/WikibaseSchema : masterMove schema edit link into floating section

Event Timeline

Lucas_Werkmeister_WMDE renamed this task from Add link to Schema page to check against list of entities to [Story] Add link to Schema page to check against list of entities.Feb 28 2019, 2:18 PM
Lucas_Werkmeister_WMDE updated the task description. (Show Details)
Lucas_Werkmeister_WMDE set the point value for this task to 3.

Change 495877 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseSchema@master] Move schema edit link into floating section

https://gerrit.wikimedia.org/r/495877

Change 495889 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseSchema@master] Add separator between schema links

https://gerrit.wikimedia.org/r/495889

Change 495890 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseSchema@master] WIP: Add link to check entities against schema

https://gerrit.wikimedia.org/r/495890

Change 495877 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Move schema edit link into floating section

https://gerrit.wikimedia.org/r/495877

hoo added a subscriber: hoo.

Nothing to review right now (https://gerrit.wikimedia.org/r/495889 needs its follow up to be properly judged).

Well, the follow-up is on Gerrit, and the separator will work the same no matter how the link ends up looking, but okay.

No, wait, I confused myself :D the follow-up patch (actually adding the link) is no longer WIP, so this can be properly reviewed now.

target=_blank? to be decided
rel=noopener probably

@Lydia_Pintscher Do we want to do this?

Change 495889 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Add separator between schema links

https://gerrit.wikimedia.org/r/495889

Change 495890 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Add link to check entities against schema

https://gerrit.wikimedia.org/r/495890

target=_blank? to be decided
rel=noopener probably

@Lydia_Pintscher Do we want to do this?

Let's open it in the same page for now.

Mentioned in SAL (#wikimedia-cloud) [2019-03-18T13:23:15Z] <Lucas_WMDE> wikidata-shex configured wgWBSchemaShExSimpleUrl (T217331)

The configuration was missing, I added it now. (Though without a query service installation, shex-simple can’t actually check anything as far as I’m aware.)

Lea_Lacroix_WMDE closed this task as Resolved.Mar 18 2019, 4:17 PM
Lea_Lacroix_WMDE moved this task from Verification to Done on the Shape Expressions Sprint 4 board.

\o/